=== modified file 'plugins/unityshell/src/unityshell.cpp'
--- plugins/unityshell/src/unityshell.cpp	2014-11-28 12:55:36 +0000
+++ plugins/unityshell/src/unityshell.cpp	2014-12-19 02:46:37 +0000
@@ -961,6 +961,8 @@
 {
   return !allowWindowPaint ||
          lockscreen_controller_->IsLocked() ||
+         dash_controller_->IsVisible() ||
+         hud_controller_->IsVisible() ||
           ((switcher_controller_->Visible() ||
             WindowManager::Default().IsExpoActive())
            && !fullscreen_windows_.empty () && (!(screen->grabbed () && !screen->otherGrabExist (NULL))));
@@ -2119,14 +2121,11 @@
 
     if (!dash_controller_->IsVisible())
     {
-      if (!adapter.IsTopWindowFullscreenOnMonitorWithMouse())
+      if (dash_controller_->ShowDash())
       {
-        if (dash_controller_->ShowDash())
-        {
-          tap_handled = true;
-          ubus_manager_.SendMessage(UBUS_PLACE_ENTRY_ACTIVATE_REQUEST,
-                                    g_variant_new("(sus)", "home.scope", dash::GOTO_DASH_URI, ""));
-        }
+        tap_handled = true;
+        ubus_manager_.SendMessage(UBUS_PLACE_ENTRY_ACTIVATE_REQUEST,
+                                  g_variant_new("(sus)", "home.scope", dash::GOTO_DASH_URI, ""));
       }
     }
     else
@@ -2537,9 +2536,6 @@
 
     auto& wm = WindowManager::Default();
 
-    if (wm.IsTopWindowFullscreenOnMonitorWithMouse())
-      return false;
-
     if (wm.IsScreenGrabbed())
     {
       hud_ungrab_slot_ = wm.screen_ungrabbed.connect([this] { ShowHud(); });

